I need help! "Deep Learning Studio is starting." "Internal server error"


#1

I simply cannot make DLS work.

I have installed:

  • Windows 10 pro (1803 (OS Build 17134.407))
  • GTX 1080
  • DLS Windows Desktop 2.5.0
  • Cuda 9.0 - CuDnn 7.04

I have tried:

  • copying the mxnet.zip to the mxnet folder.
  • Removing other Python installs from environment variables.
  • Adding “D:\DLS” folders to environment variables.
  • Updating packages in the (root) conda environment.
  • Starting things manually (as instructed in similar posts)
  • Changing the port numbers in server.py and default (as instructed in similar posts)

What works (as far as I can tell):

  • Jupyter Lab
  • Jupyter notebook

When I try to access the app, the interface on the left appears, and a “Internal server error”

DLS seems completely broken (I know that I’m probably doing something wrong, but I have no idea what).
Please, help.

Here’s the Log:


Starting Deep Learning Studio…
Checking GPU support…
GPU not supported
skipping cifar dataset download!
skipping IMDB dataset download!
Traceback (most recent call last):
File “D:/DLS/datasets_scripts/install_pydatasets.py”, line 6, in
from pydataset import data
File “D:\DLS\conda3\lib\site-packages\pydataset_init_.py”, line 4, in
from .datasets_handler import __print_item_docs, _read_csv, datasets_desc
File “D:\DLS\conda3\lib\site-packages\pydataset\datasets_handler.py”, line 4, in
import pandas as pd
File "D:\DLS\conda3\lib\site-packages\pandas_init
.py", line 19, in
“Missing required dependencies {0}”.format(missing_dependencies))
ImportError: Missing required dependencies [‘numpy’]
skipping MNIST dataset download!
skipping reuters dataset download!
Traceback (most recent call last):
File “./manage.py”, line 29, in
execute_from_command_line(sys.argv)
File "D:\DLS\conda3\lib\site-packages\django\core\management_init
.py", line 367, in execute_from_command_line
utility.execute()
File "D:\DLS\conda3\lib\site-packages\django\core\management_init
.py", line 359, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “D:\DLS\conda3\lib\site-packages\django\core\management\base.py”, line 294, in run_from_argv
self.execute(*args, **cmd_options)
File “D:\DLS\conda3\lib\site-packages\django\core\management\base.py”, line 342, in execute
self.check()
File “D:\DLS\conda3\lib\site-packages\django\core\management\base.py”, line 374, in check
include_deployment_checks=include_deployment_checks,
File “D:\DLS\conda3\lib\site-packages\django\core\management\base.py”, line 361, in run_checks
return checks.run_checks(**kwargs)
File “D:\DLS\conda3\lib\site-packages\django\core\checks\registry.py”, line 81, in run_checks
new_errors = check(app_configs=app_configs)
File “D:\DLS\conda3\lib\site-packages\django\core\checks\urls.py”, line 14, in check_url_config
return check_resolver(resolver)
File “D:\DLS\conda3\lib\site-packages\django\core\checks\urls.py”, line 24, in check_resolver
for pattern in resolver.url_patterns:
File “D:\DLS\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “D:\DLS\conda3\lib\site-packages\django\urls\resolvers.py”, line 313, in url_patterns
patterns = getattr(self.urlconf_module, “urlpatterns”, self.urlconf_module)
File “D:\DLS\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “D:\DLS\conda3\lib\site-packages\django\urls\resolvers.py”, line 306, in urlconf_module
return import_module(self.urlconf_name)
File "D:\DLS\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “app\urls.py”, line 30, in init app.urls
File "D:\DLS\conda3\lib\site-packages\django\conf\urls_init
.py", line 50, in include
urlconf_module = import_module(urlconf_module)
File "D:\DLS\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “project\urls.py”, line 11, in init project.urls
File “modelconversion\mmdnn_gen.py”, line 6, in init modelconversion.mmdnn_gen
File “project\network.py”, line 12, in init project.network
File "D:\DLS\conda3\lib\site-packages\pandas_init
.py", line 19, in
“Missing required dependencies {0}”.format(missing_dependencies))
ImportError: Missing required dependencies [‘numpy’]
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit
Environment config file D:/DLS/data/public/dlenvs/sqlite/config.yaml doesnt exist.
Traceback (most recent call last):
File "d:\dls\conda3\lib\site-packages\numpy\core_init
.py", line 16, in
from . import multiarray
ImportError: DLL load failed: The specified procedure could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\DLS\conda3\Scripts\olympus-script.py”, line 11, in
load_entry_point(‘olympus==0.41’, ‘console_scripts’, ‘olympus’)()
File “D:\DLS\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 565, in load_entry_point
File “D:\DLS\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2598, in load_entry_point
File “D:\DLS\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2258, in load
File “D:\DLS\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2264, in resolve
File “d:\dls\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\olympus.py”, line 12, in
from .adapters import Adapter
File “d:\dls\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\adapters_init_.py”, line 1, in
import numpy as np, os, shutil
File “d:\dls\conda3\lib\site-packages\numpy_init_.py”, line 142, in
from . import add_newdocs
File “d:\dls\conda3\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “d:\dls\conda3\lib\site-packages\numpy\lib_init_.py”, line 8, in
from .type_check import *
File “d:\dls\conda3\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "d:\dls\conda3\lib\site-packages\numpy\core_init
.py", line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: The specified procedure could not be found.

[I 05:14:40.779 LabApp] The port 18006 is already in use, trying another port.
[I 05:14:40.791 LabApp] JupyterLab extension loaded from d:\dls\conda3\lib\site-packages\jupyterlab
[I 05:14:40.791 LabApp] JupyterLab application directory is d:\dls\conda3\share\jupyter\lab
[W 05:14:40.795 LabApp] JupyterLab server extension not enabled, manually loading…
[I 05:14:40.796 LabApp] JupyterLab extension loaded from d:\dls\conda3\lib\site-packages\jupyterlab
[I 05:14:40.796 LabApp] JupyterLab application directory is d:\dls\conda3\share\jupyter\lab
[I 05:14:40.798 LabApp] Serving notebooks from local directory: D:\DLS\data\1
[I 05:14:40.798 LabApp] The Jupyter Notebook is running at:
[I 05:14:40.798 LabApp] http://127.0.0.1:18007/?token=
[I 05:14:40.798 LabApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).
Traceback (most recent call last):
File “D:\DLS\conda3\lib\site-packages\numpy\core_init_.py”, line 16, in
from . import multiarray
ImportError: DLL load failed: The specified procedure could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “server.py”, line 1, in
from app.wsgi import application
File “app\wsgi.py”, line 27, in init app.wsgi
File “app\startup.py”, line 9, in init app.startup
File “D:\DLS\conda3\lib\site-packages\keras_init_.py”, line 2, in
from . import backend
File “D:\DLS\conda3\lib\site-packages\keras\backend_init_.py”, line 6, in
from .common import epsilon
File “D:\DLS\conda3\lib\site-packages\keras\backend\common.py”, line 1, in
import numpy as np
File “D:\DLS\conda3\lib\site-packages\numpy_init_.py”, line 142, in
from . import add_newdocs
File “D:\DLS\conda3\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “D:\DLS\conda3\lib\site-packages\numpy\lib_init_.py”, line 8, in
from .type_check import *
File “D:\DLS\conda3\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "D:\DLS\conda3\lib\site-packages\numpy\core_init
.py", line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: The specified procedure could not be found.

Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit



#2

Hi,
from log I can see that cuda drivers are not installed properly and anaconda is also broken.
Please remove all the DLS files and the installation from control panel.
Then follow these instruction to install DLS properly in windows.

Download the latest version i.e. 2.5.0 from the website

You dont have to change you existing env or python setting for DLS.
Simply install this software and make sure to select the GPU option while installing.

Regards
Rajat


#3

I’ve tried several times now. I have uninstalled DLS and Nvidia drivers (using ddu) and installed DLS and the included drivers.

This is what I get:

Starting Deep Learning Studio...

Checking GPU support…
GPU not supported
[18:57:39] downloading CIFAR dataset…
[18:59:11] Downloaded CIFAR dataset.
[18:59:12] downloading IMDB dataset…
[18:59:16] Downloaded IMDB dataset.
Traceback (most recent call last):
File “C:/DeepLearningStudio/datasets_scripts/install_pydatasets.py”, line 6, in
from pydataset import data
File “C:\DeepLearningStudio\conda3\lib\site-packages\pydataset_init_.py”, line 4, in
from .datasets_handler import __print_item_docs, _read_csv, datasets_desc
File “C:\DeepLearningStudio\conda3\lib\site-packages\pydataset\datasets_handler.py”, line 4, in
import pandas as pd
File "C:\DeepLearningStudio\conda3\lib\site-packages\pandas_init
.py", line 19, in
“Missing required dependencies {0}”.format(missing_dependencies))
ImportError: Missing required dependencies [‘numpy’]
[18:59:16] downloading MNIST dataset…
[19:00:21] Downloaded MNIST dataset.
[19:00:22] downloading reuters dataset…
[19:00:24] Downloaded reuters dataset.
Traceback (most recent call last):
File “./manage.py”, line 29, in
execute_from_command_line(sys.argv)
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init
.py", line 367, in execute_from_command_line
utility.execute()
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init
.py", line 359, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 294, in run_from_argv
self.execute(*args, **cmd_options)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 342, in execute
self.check()
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 374, in check
include_deployment_checks=include_deployment_checks,
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 361, in run_checks
return checks.run_checks(**kwargs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\registry.py”, line 81, in run_checks
new_errors = check(app_configs=app_configs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 14, in check_url_config
return check_resolver(resolver)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 24, in check_resolver
for pattern in resolver.url_patterns:
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 313, in url_patterns
patterns = getattr(self.urlconf_module, “urlpatterns”, self.urlconf_module)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 306, in urlconf_module
return import_module(self.urlconf_name)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “app\urls.py”, line 30, in init app.urls
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\conf\urls_init
.py", line 50, in include
urlconf_module = import_module(urlconf_module)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “project\urls.py”, line 11, in init project.urls
File “modelconversion\mmdnn_gen.py”, line 6, in init modelconversion.mmdnn_gen
File “project\network.py”, line 12, in init project.network
File "C:\DeepLearningStudio\conda3\lib\site-packages\pandas_init
.py", line 19, in
“Missing required dependencies {0}”.format(missing_dependencies))
ImportError: Missing required dependencies [‘numpy’]
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit
loading initial db
Traceback (most recent call last):
File “./manage.py”, line 29, in
execute_from_command_line(sys.argv)
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init
.py", line 367, in execute_from_command_line
utility.execute()
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init
.py", line 359, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 294, in run_from_argv
self.execute(*args, **cmd_options)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 342, in execute
self.check()
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 374, in check
include_deployment_checks=include_deployment_checks,
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 361, in run_checks
return checks.run_checks(**kwargs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\registry.py”, line 81, in run_checks
new_errors = check(app_configs=app_configs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 14, in check_url_config
return check_resolver(resolver)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 24, in check_resolver
for pattern in resolver.url_patterns:
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 313, in url_patterns
patterns = getattr(self.urlconf_module, “urlpatterns”, self.urlconf_module)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 306, in urlconf_module
return import_module(self.urlconf_name)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “app\urls.py”, line 30, in init app.urls
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\conf\urls_init
.py", line 50, in include
urlconf_module = import_module(urlconf_module)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “project\urls.py”, line 11, in init project.urls
File “modelconversion\mmdnn_gen.py”, line 6, in init modelconversion.mmdnn_gen
File “project\network.py”, line 12, in init project.network
File "C:\DeepLearningStudio\conda3\lib\site-packages\pandas_init
.py", line 19, in
“Missing required dependencies {0}”.format(missing_dependencies))
ImportError: Missing required dependencies [‘numpy’]
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit
Traceback (most recent call last):
File "C:\DeepLearningStudio\conda3\lib\site-packages\numpy\core_init
.py", line 16, in
from . import multiarray
ImportError: DLL load failed: The specified procedure could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “server.py”, line 1, in
from app.wsgi import application
File “app\wsgi.py”, line 27, in init app.wsgi
File “app\startup.py”, line 9, in init app.startup
File “C:\DeepLearningStudio\conda3\lib\site-packages\keras_init_.py”, line 2, in
from . import backend
File “C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend_init_.py”, line 6, in
from .common import epsilon
File “C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend\common.py”, line 1, in
import numpy as np
File “C:\DeepLearningStudio\conda3\lib\site-packages\numpy_init_.py”, line 142, in
from . import add_newdocs
File “C:\DeepLearningStudio\conda3\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “C:\DeepLearningStudio\conda3\lib\site-packages\numpy\lib_init_.py”, line 8, in
from .type_check import *
File “C:\DeepLearningStudio\conda3\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "C:\DeepLearningStudio\conda3\lib\site-packages\numpy\core_init
.py", line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: The specified procedure could not be found.

Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit
Traceback (most recent call last):
File “c:\deeplearningstudio\conda3\lib\site-packages\numpy\core_init_.py”, line 16, in
from . import multiarray
ImportError: DLL load failed: The specified procedure could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\DeepLearningStudio\conda3\Scripts\olympus-script.py”, line 11, in
load_entry_point(‘olympus==0.41’, ‘console_scripts’, ‘olympus’)()
File “C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 565, in load_entry_point
File “C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2598, in load_entry_point
File “C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2258, in load
File “C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init_.py”, line 2264, in resolve
File “c:\deeplearningstudio\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\olympus.py”, line 12, in
from .adapters import Adapter
File “c:\deeplearningstudio\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\adapters_init_.py”, line 1, in
import numpy as np, os, shutil
File “c:\deeplearningstudio\conda3\lib\site-packages\numpy_init_.py”, line 142, in
from . import add_newdocs
File “c:\deeplearningstudio\conda3\lib\site-packages\numpy\add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “c:\deeplearningstudio\conda3\lib\site-packages\numpy\lib_init_.py”, line 8, in
from .type_check import *
File “c:\deeplearningstudio\conda3\lib\site-packages\numpy\lib\type_check.py”, line 11, in
import numpy.core.numeric as nx
File "c:\deeplearningstudio\conda3\lib\site-packages\numpy\core_init
.py", line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: DLL load failed: The specified procedure could not be found.

[I 19:00:49.266 LabApp] Writing notebook server cookie secret to C:\DeepLearningStudio\data\1.jupyter\data\runtime\notebook_cookie_secret
[I 19:00:53.705 LabApp] JupyterLab extension loaded from c:\deeplearningstudio\conda3\lib\site-packages\jupyterlab
[I 19:00:53.705 LabApp] JupyterLab application directory is c:\deeplearningstudio\conda3\share\jupyter\lab
[W 19:00:53.707 LabApp] JupyterLab server extension not enabled, manually loading…
[I 19:00:53.708 LabApp] JupyterLab extension loaded from c:\deeplearningstudio\conda3\lib\site-packages\jupyterlab
[I 19:00:53.708 LabApp] JupyterLab application directory is c:\deeplearningstudio\conda3\share\jupyter\lab
[I 19:00:53.709 LabApp] Serving notebooks from local directory: C:\DeepLearningStudio\data\1
[I 19:00:53.709 LabApp] The Jupyter Notebook is running at:
[I 19:00:53.709 LabApp] http://127.0.0.1:8886/?token=
[I 19:00:53.709 LabApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).


#4

How can Softwares be released to community without testing a basic installation is beyond me? Wasted a day trying to get this installation right and I failed.

Removed every reference to existing Anaconda and Python from the environment variables in Windows 10
Removed the drivers on GTX 1070 thrice and stopped windows automatic updates on drivers
Went with the basic DLS installation of 2.5.0
It does not start. No indication as to why would it use MxNET backend instead of Tensorflow? Where is the configuration? Why is it not able to find the GPU?

Any beginners getting into this, You are very well served by using basic opensource like Anaconda rather than complex products like these which claims simplicity

Starting Deep Learning Studio...

Checking GPU support…
GPU not supported
skipping cifar dataset download!
skipping IMDB dataset download!
skipping MNIST dataset download!
skipping reuters dataset download!
Using MXNet backend.
Traceback (most recent call last):
File “./manage.py”, line 29, in
execute_from_command_line(sys.argv)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init_.py”, line 367, in execute_from_command_line
utility.execute()
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management_init_.py”, line 359, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 294, in run_from_argv
self.execute(*args, **cmd_options)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 342, in execute
self.check()
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 374, in check
include_deployment_checks=include_deployment_checks,
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\management\base.py”, line 361, in run_checks
return checks.run_checks(**kwargs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\registry.py”, line 81, in run_checks
new_errors = check(app_configs=app_configs)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 14, in check_url_config
return check_resolver(resolver)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\core\checks\urls.py”, line 24, in check_resolver
for pattern in resolver.url_patterns:
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 313, in url_patterns
patterns = getattr(self.urlconf_module, “urlpatterns”, self.urlconf_module)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\utils\functional.py”, line 35, in get
res = instance.dict[self.name] = self.func(instance)
File “C:\DeepLearningStudio\conda3\lib\site-packages\django\urls\resolvers.py”, line 306, in urlconf_module
return import_module(self.urlconf_name)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in _gcd_import
File “”, line 968, in _find_and_load
File “”, line 957, in _find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “app\urls.py”, line 30, in init app.urls
File "C:\DeepLearningStudio\conda3\lib\site-packages\django\conf\urls_init
.py", line 50, in include
urlconf_module = import_module(urlconf_module)
File "C:\DeepLearningStudio\conda3\lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 985, in gcd_import
File “”, line 968, in find_and_load
File “”, line 957, in find_and_load_unlocked
File “”, line 666, in load_unlocked
File “”, line 577, in module_from_spec
File “”, line 938, in create_module
File “”, line 222, in call_with_frames_removed
File “project\urls.py”, line 11, in init project.urls
File “modelconversion\mmdnn_gen.py”, line 6, in init modelconversion.mmdnn_gen
File “project\network.py”, line 20, in init project.network
File "C:\DeepLearningStudio\conda3\lib\site-packages\keras_init
.py", line 2, in
from . import backend
File "C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend_init
.py", line 70, in
from .mxnet_backend import *
File “C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend\mxnet_backend.py”, line 2, in
import mxnet as mx
File "C:\DeepLearningStudio\conda3\lib\site-packages\mxnet_init
.py", line 25, in
from .base import MXNetError
File “C:\DeepLearningStudio\conda3\lib\site-packages\mxnet\base.py”, line 111, in
LIB = load_lib()
File “C:\DeepLearningStudio\conda3\lib\site-packages\mxnet\base.py”, line 103, in load_lib
lib = ctypes.CDLL(lib_path[0], ctypes.RTLD_LOCAL)
File "C:\DeepLearningStudio\conda3\lib\ctypes_init
.py", line 351, in init
self.handle = dlopen(self.name, mode)
OSError: [WinError 126] The specified module could not be found
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit
Using MXNet backend.
Traceback (most recent call last):
File “C:\DeepLearningStudio\conda3\Scripts\olympus-script.py”, line 11, in
load_entry_point(‘olympus==0.41’, ‘console_scripts’, ‘olympus’)()
File "C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 565, in load_entry_point
File "C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2598, in load_entry_point
File "C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2258, in load
File "C:\DeepLearningStudio\conda3\lib\site-packages\setuptools-27.2.0-py3.5.egg\pkg_resources_init
.py", line 2264, in resolve
File “c:\deeplearningstudio\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\olympus.py”, line 13, in
from .adapters.utils import get_adapter_by_framework
File “c:\deeplearningstudio\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\adapters\utils.py”, line 1, in
from .keras_adapter import KerasAdapter
File “c:\deeplearningstudio\conda3\lib\site-packages\olympus-0.41-py3.5.egg\olympus\adapters\keras_adapter.py”, line 1, in
from keras.models import load_model, model_from_yaml, model_from_json
File "c:\deeplearningstudio\conda3\lib\site-packages\keras_init
.py", line 2, in
from . import backend
File "c:\deeplearningstudio\conda3\lib\site-packages\keras\backend_init
.py", line 70, in
from .mxnet_backend import *
File “c:\deeplearningstudio\conda3\lib\site-packages\keras\backend\mxnet_backend.py”, line 2, in
import mxnet as mx
File "c:\deeplearningstudio\conda3\lib\site-packages\mxnet_init
.py", line 25, in
from .base import MXNetError
File “c:\deeplearningstudio\conda3\lib\site-packages\mxnet\base.py”, line 111, in
_LIB = _load_lib()
File “c:\deeplearningstudio\conda3\lib\site-packages\mxnet\base.py”, line 103, in load_lib
lib = ctypes.CDLL(lib_path[0], ctypes.RTLD_LOCAL)
File "C:\DeepLearningStudio\conda3\lib\ctypes_init
.py", line 351, in init
self.handle = dlopen(self.name, mode)
OSError: [WinError 126] The specified module could not be found
Using MXNet backend.
[I 23:55:12.550 LabApp] JupyterLab extension loaded from c:\deeplearningstudio\conda3\lib\site-packages\jupyterlab
[I 23:55:12.550 LabApp] JupyterLab application directory is c:\deeplearningstudio\conda3\share\jupyter\lab
[W 23:55:12.552 LabApp] JupyterLab server extension not enabled, manually loading…
[I 23:55:12.552 LabApp] JupyterLab extension loaded from c:\deeplearningstudio\conda3\lib\site-packages\jupyterlab
[I 23:55:12.552 LabApp] JupyterLab application directory is c:\deeplearningstudio\conda3\share\jupyter\lab
[I 23:55:12.554 LabApp] Serving notebooks from local directory: C:\DeepLearningStudio\data\1
[I 23:55:12.554 LabApp] The Jupyter Notebook is running at:
[I 23:55:12.554 LabApp] http://127.0.0.1:8886/?token=
[I 23:55:12.554 LabApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).
Traceback (most recent call last):
File “server.py”, line 1, in
from app.wsgi import application
File “app\wsgi.py”, line 27, in init app.wsgi
File “app\startup.py”, line 9, in init app.startup
File "C:\DeepLearningStudio\conda3\lib\site-packages\keras_init
.py", line 2, in
from . import backend
File "C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend_init
.py", line 70, in
from .mxnet_backend import *
File “C:\DeepLearningStudio\conda3\lib\site-packages\keras\backend\mxnet_backend.py”, line 2, in
import mxnet as mx
File "C:\DeepLearningStudio\conda3\lib\site-packages\mxnet_init
.py", line 25, in
from .base import MXNetError
File “C:\DeepLearningStudio\conda3\lib\site-packages\mxnet\base.py”, line 111, in
_LIB = _load_lib()
File “C:\DeepLearningStudio\conda3\lib\site-packages\mxnet\base.py”, line 103, in load_lib
lib = ctypes.CDLL(lib_path[0], ctypes.RTLD_LOCAL)
File "C:\DeepLearningStudio\conda3\lib\ctypes_init
.py", line 351, in init
self._handle = _dlopen(self._name, mode)
OSError: [WinError 126] The specified module could not be found
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-Break to quit


#5

I was bored, and tried installing DLS again. It worked. I have absolutely no idea what made it work this time.